play.jobs

## Class JobsPlugin

- java.lang.Object
- - play.PlayPlugin
  - - play.jobs.JobsPlugin

- All Implemented Interfaces:
    java.lang.Comparable<PlayPlugin>

      public class JobsPlugin
      extends PlayPlugin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class play.PlayPlugin

      `PlayPlugin.Filter<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.concurrent.ScheduledThreadPoolExecutor` | `executor`
    `static java.util.List<Job>` | `scheduledJobs`

    - ### Fields inherited from class play.PlayPlugin

      `index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobsPlugin()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterApplicationStart()` Called after the application start.
    `void` | `afterInvocation()` Called after an invocation.
    `void` | `beforeInvocation()` Called before a Play! invocation.
    `java.lang.String` | `getStatus()` Return the plugin status
    `void` | `onApplicationStart()` Called at application start (and at each reloading) Time to start stateful things.
    `void` | `onApplicationStop()` Called at application stop (and before each reloading) Time to shutdown stateful things.
    `static <V> void` | `scheduleForCRON(Job<V> job)`

    - ### Methods inherited from class play.PlayPlugin

      `addMimeTypes, addTemplateExtensions, afterActionInvocation, afterFixtureLoad, beforeActionInvocation, beforeDetectingChanges, bind, bind, bind, bindBean, compareTo, compileAll, compileSources, detectChange, detectClassesChange, enhance, getFilter, getFunctionalTests, getJsonStatus, getMessage, getUnitTests, hasFilter, invocationFinally, loadTemplate, modelFactory, onActionInvocationFinally, onActionInvocationResult, onApplicationReady, onClassesChange, onConfigurationRead, onEvent, onInvocationException, onInvocationSuccess, onLoad, onRequestRouting, onRoutesLoaded, onTemplateCompilation, overrideTemplateSource, postEvent, rawInvocation, routeRequest, runTest, serveStatic, unBind, willBeValidated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### executor

          public static java.util.concurrent.ScheduledThreadPoolExecutor executor

    - #### scheduledJobs

          public static java.util.List<Job> scheduledJobs

  - ### Constructor Detail

    - #### JobsPlugin

          public JobsPlugin()

  - ### Method Detail

    - #### getStatus

          public java.lang.String getStatus()

      Description copied from class: `PlayPlugin`
      Return the plugin status
      Overrides:
        `getStatus` in class `PlayPlugin`
      Returns:
        the plugin status

    - #### afterApplicationStart

          public void afterApplicationStart()

      Description copied from class: `PlayPlugin`
      Called after the application start.
      Overrides:
        `afterApplicationStart` in class `PlayPlugin`

    - #### onApplicationStart

          public void onApplicationStart()

      Description copied from class: `PlayPlugin`
      Called at application start (and at each reloading) Time to start stateful things.
      Overrides:
        `onApplicationStart` in class `PlayPlugin`

    - #### scheduleForCRON

          public static <V> void scheduleForCRON(Job<V> job)

    - #### onApplicationStop

          public void onApplicationStop()

      Description copied from class: `PlayPlugin`
      Called at application stop (and before each reloading) Time to shutdown stateful things.
      Overrides:
        `onApplicationStop` in class `PlayPlugin`

    - #### beforeInvocation

          public void beforeInvocation()

      Description copied from class: `PlayPlugin`
      Called before a Play! invocation. Time to prepare request specific things.
      Overrides:
        `beforeInvocation` in class `PlayPlugin`

    - #### afterInvocation

          public void afterInvocation()

      Description copied from class: `PlayPlugin`
      Called after an invocation. (unless an exception has been thrown). Time to close request specific things.
      Overrides:
        `afterInvocation` in class `PlayPlugin`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly